package stringers

// |@@| C

import (
	"gardening/src/lib"
	"gardening/src/mdl"
)

type SeedProgramStringer struct {
}

func (this *SeedProgramStringer) ToString(seedProgram *mdl.SeedProgram) (string, error) {
	if seedProgram == nil {
		return "", nil
	}
	return seedProgram.Name, nil
}
func (this *SeedProgramStringer) MustToString(entity *mdl.SeedProgram) string {
	s, err := this.ToString(entity)
	lib.Poe(err)
	return s
}
